#
# spec file for package xcalib
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           xcalib
Summary:        Load ICC profile calibration part to graphics card 
License:        GPL-2.0+
Group:          System/X11/Utilities
Version:        0.8
Release:        15.3
Source0:        %{name}-source-%{version}.tar.gz 
Patch0:         xcalib-makefile.patch
Patch1:         xcalib.1.patch
Url:            http://www.etg.e-technik.uni-erlangen.de/web/doe/xcalib/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  libXext-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  pkgconfig
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-proto-devel
%endif
%if 0%{?mandriva_version} >= 2007
BuildRequires:  libx11-devel
BuildRequires:  libxxf86vm-devel
BuildRequires:  pkgconfig
BuildRequires:  x11-proto-devel
%endif
%if 0%{?suse_version} >= 1020
BuildRequires:  pkg-config
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-proto-devel
%endif
%if 0%{?suse_version} >= 930
BuildRequires:  pkg-config
BuildRequires:  xorg-x11-devel
%endif
%if "%_repository" == "SUSE_Linux_10.1" || "%_repository" == "SLE_10"
BuildRequires:  pkg-config
BuildRequires:  xorg-x11-compat70-devel
%endif

%description
The command line tool applies the 'vcgt'-tag of ICC profiles to your X-server
like MS-Windows or MacOS can to set your display to a calibrated state. 
  
Versions 0.5 and higher are also usable with Microsoft Windows. 
They can be used as a free alternative to other calibration loaders.

Authors:
Stefan Doehla




%package profiles
Summary:        ICC profiles for testing with xcalib
Group:          Productivity/Graphics/Other

%description profiles
The ICC profiles are special for testing xcalib.
Authors:
Stefan Doehla

%prep
%setup
%patch0 -p1
%patch1 -p0

export CFLAGS="$RPM_OPT_FLAGS"

%build
make xcalib

%install
mkdir %{buildroot}/usr
mkdir %{buildroot}/usr/bin
cp xcalib %{buildroot}/usr/bin/xcalib
mkdir -p %{buildroot}%{_datadir}/color/icc/
cp  -v *.icc %{buildroot}%{_datadir}/color/icc/
mkdir -p %{buildroot}%{_mandir}/man1/
cp  -v xcalib.1.gz %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root, 0755)
%doc README README.profilers COPYING
%defattr(0755,root,root)
%{_bindir}/xcalib
%defattr(0644,root,root)
%{_mandir}/man1/xcalib.1.gz

%files profiles
%defattr(-,root,root)
%{_datadir}/color/icc/bluish.icc
%{_datadir}/color/icc/gamma_1_0.icc
%{_datadir}/color/icc/gamma_2_2_bright.icc
%{_datadir}/color/icc/gamma_2_2.icc
%{_datadir}/color/icc/gamma_2_2_lowContrast.icc
%doc README README.profilers COPYING
%dir %{_datadir}/color
%dir %{_datadir}/color/icc

%changelog
* Thu Dec  8 2011 coolo@suse.com
- this should be GPL-2.0+, GPL is not a license on spdx.org
* Wed Sep 21 2011 Kai-Uwe Behrmann <ku.b@gmx.de> - 0.4.2
- add spec license
- remove name, version and revision macros
- add man page from debian project
  * Fri Dec 26 2008 - P. Linnell mrdocs at opensuse.org
- spec file cleanups
  * Thu Apr 24 2008 - P. Linnell <mrodcs at scribus.info>
- fix build on CentOS and RHEL
  * Mon Aug 27 2007 - P. Linnell <mrodcs at scribus.info>
- 0.8 release
-applied gl.tter's patch for Win32 multi-monitor support
-applied bleader's patch for FGLRX multi-monitor support
-added support for LUTs bigger than in the profile linear interpolation is used for creating the values in between
-Cchanged -n parameter: now the size of the simulated LUT must be given after -n/-noaction paramter
  * Sun Jul 29 2007  - P. Linnell <mrodcs at scribus.info>
- try to fix more cross platform BuildRequires
  * Sun Jun 24 2007  - P. Linnell <mrodcs at scribus.info>
- first build server package
- make 2nd package with the profiles in openicc directory
